=== libecasound/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libecasound/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E

# Add this to CPPFLAGS
CPPFLAGS =  "-DPKGDATADIR=\"${pkgdatadir}\""
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = ChangeLog
AUTOMAKE_OPTIONS = foreign
SUBDIRS = plugins


# ----------------------------------------------------------------------
# build targets and compiler options target defines
# ----------------------------------------------------------------------
#lib_LTLIBRARIES = libecasound_debug.la
lib_LTLIBRARIES = libecasound.la

TESTS = libecasound_tester

check_PROGRAMS = libecasound_tester

# ----------------------------------------------------------------------
# compiler and linker options
# ----------------------------------------------------------------------

# if ECA_AM_ALL_STATIC
# FIXME: always link ecasound-plugins statically
#eca_libadd = $(top_builddir)/libecasound/plugins/libecasound_plugins_debug.la $(ECA_S_EXTRA_LIBS)
eca_libadd = $(top_builddir)/libecasound/plugins/libecasound_plugins.la $(ECA_S_EXTRA_LIBS)

eca_ldflags = -version-info 13:0:4

#libecasound_tester_libs = $(top_builddir)/libecasound/libecasound_debug.la \
#				$(top_builddir)/kvutils/libkvutils_debug.la

libecasound_tester_libs = $(top_builddir)/libecasound/libecasound.la \
				$(top_builddir)/kvutils/libkvutils.la



# note! Automake >= 1.5 will install stripped libraries
#       with "make install-strip". Older versions won't
#       strip libraries even if INSTALL_STRIP_FLAG is set.
#       also libtool 1.3.2 and older have problems 
#       with stripping libraries.
INCLUDES = -I$(srcdir) \
		-I$(top_srcdir)/kvutils \
		$(ECA_S_EXTRA_CPPFLAGS)



# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
ecasound_audiofx_include = \
			audiofx.h \
			audiofx_misc.h \
			audiofx_amplitude.h \
			audiofx_compressor.h \
			audiofx_analysis.h \
			audiofx_envelope_modulation.h \
			audiofx_filter.h \
			audiofx_rcfilter.h \
			audiofx_reverb.h \
			audiofx_timebased.h \
			audiogate.h \
			audiofx_mixing.h \
			audiofx_ladspa.h \
			audio-stamp.h


ecasound_preset_include = \
			preset.h \
			preset_impl.h \
			file-preset.h \
			global-preset.h


ecasound_audioio_include = \
			audioio.h \
			audioio-buffered.h \
			audioio-device.h \
			audioio-plugin.h \
			audioio-manager.h \
			audioio-cdr.h \
			audioio-cdr_impl.h \
			audioio-ewf.h \
			audioio-mp3.h \
			audioio-mp3_impl.h \
			audioio-ogg.h \
			audioio-wave.h \
			audioio-raw.h \
			audioio-oss.h \
			audioio-oss_impl.h \
			audioio-null.h \
			audioio-rtnull.h \
			audioio-mikmod.h \
			audioio-loop.h \
			audioio-forked-stream.h \
			audioio-timidity.h \
			audioio-db-server.h \
			audioio-db-server_impl.h \
			audioio-db-buffer.h \
			audioio-db-client.h \
			audioio-proxy.h \
			audioio-typeselect.h \
			audioio-resample.h \
			audioio-reverse.h \
			audioio-flac.h \
			audioio-aac.h


ecasound_midi_include = \
			midi-server.h \
			midi-client.h \
			midi-parser.h \
			midiio.h \
			midiio-raw.h


ecasound_controller_include = \
			ctrl-source.h \
			midi-cc.h \
			oscillator.h \
			osc-gen.h \
			osc-gen-file.h \
			osc-sine.h \
			linear-envelope.h \
			two-stage-linear-envelope.h \
			stamp-ctrl.h \
	 		generic-linear-envelope.h


ecasound_general_include = \
			eca-chain.h \
			eca-chainop.h \
			eca-error.h \
			eca-logger.h \
			eca-logger-default.h \
			eca-logger-interface.h \
			eca-logger-wellformed.h \
			eca-engine.h \
			eca-engine-driver.h \
			eca-engine_impl.h \
			eca-session.h \
			eca-resources.h \
			resource-file.h \
			layer.h \
			eca-static-object-maps.h \
			eca-object-map.h \
			eca-preset-map.h \
			samplebuffer.h \
			samplebuffer_impl.h \
			samplebuffer_functions.h \
			samplebuffer_iterators.h \
			sample-specs.h \
			eca-sample-conversion.h \
			eca-version.h \
			eca-object-factory.h \
			eca-chainsetup.h \
			eca-chainsetup_impl.h \
			eca-chainsetup-bufparams.h \
			eca-chainsetup-parser.h \
			eca-chainsetup-position.h \
			eca-control.h \
			eca-control-base.h \
			eca-control-objects.h \
			eca-control-dump.h \
			eca-iamode-parser.h \
			eca-iamode-parser_impl.h \
			eca-audio-position.h \
			eca-fileio.h  \
			eca-fileio-stream.h \
			eca-fileio-mmap.h \
			dynamic-parameters.h \
			dynamic-object.h \
			eca-object.h \
			eca-operator.h \
			generic-controller.h \
			eca-samplerate-aware.h \
			eca-audio-format.h \
			eca-audio-time.h


ecasound_extra_include = \
			ladspa.h


ecasound_test_framework_include = \
			eca-test-repository.h \
			eca-test-case.h \
			eca-chainsetup_test.h \
			eca-control_test.h \
			eca-session_test.h \
			eca-object-factory_test.h \
			eca-sample-conversion_test.h \
			audioio_test.h \
			audioio-device_test.h


# note! also remembers to update install-data-local and 
#       uninstall-data targets
noinst_HEADERS = $(ecasound_audiofx_include) \
			$(ecasound_preset_include) \
			$(ecasound_audioio_include) \
			$(ecasound_midi_include) \
		 	$(ecasound_controller_include) \
			$(ecasound_general_include) \
			$(ecasound_extra_include) \
			$(ecasound_test_framework_include)



# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------
ecasound_audiofx_src = audiofx.cpp \
			audiofx_misc.cpp \
			audiofx_amplitude.cpp \
			audiofx_compressor.cpp \
			audiofx_analysis.cpp \
			audiofx_envelope_modulation.cpp \
			audiofx_filter.cpp \
			audiofx_rcfilter.cpp \
			audiofx_reverb.cpp \
			audiofx_timebased.cpp \
			audiogate.cpp \
			audiofx_mixing.cpp \
			audiofx_ladspa.cpp \
			audio-stamp.cpp


ecasound_preset_src = global-preset.cpp \
			preset.cpp \
			file-preset.cpp


ecasound_audioio1_src = audioio-cdr.cpp \
			audioio-ewf.cpp \
			audioio-mp3.cpp \
			audioio-ogg.cpp \
			audioio-wave.cpp \
			audioio.cpp \
			audioio-buffered.cpp \
			audioio-device.cpp \
			audioio-raw.cpp \
			audioio-mikmod.cpp \
