=== libecasound/plugins/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libecasound/plugins/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops  -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run automake-1.7
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = #
ECA_AM_COMPILE_ARTS_TRUE = 
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = 
ECA_AM_KVUTILS_INSTALLED_TRUE = #
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =   -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_CPPFLAGS =  -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ECA_S_EXTRA_LIBS =  -L/usr/lib -ldl -lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 13
LIBECASOUND_VERSION_AGE = 4
LIBKVUTILS_VERSION = 6
LIBKVUTILS_VERSION_AGE = 2
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/ogra/bastel/ecasound2.2-2.3.5/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.3.5
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/ogra/bastel/ecasound2.2-2.3.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/share/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign


# ----------------------------------------------------------------------
# defines
# ----------------------------------------------------------------------

#common_clags = -DECA_ENABLE_AUDIOIO_PLUGINS
arts_src = audioio_arts.cpp
#arts_target = 
arts_target = libaudioio_arts.la

alsa_target = libaudioio_alsa.la \
	      libaudioio_alsa_named.la

#alsa_target = 
alsa_src = audioio_alsa.cpp audioio_alsa_named.cpp
#af_target = 

af_target = libaudioio_af.la
af_src = audioio_af.cpp
#sndfile_target = 

sndfile_target = libaudioio_sndfile.la
sndfile_src = audioio_sndfile.cpp

jack_target = libaudioio_jack.la
#jack_target = 
jack_src = audioio_jack.cpp audioio_jack_manager.cpp

INCLUDES = -I$(srcdir) \
		-I$(top_srcdir) \
		-I$(top_srcdir)/libecasound \
		-I$(top_srcdir)/kvutils \
		$(ECA_S_EXTRA_CPPFLAGS)



#libdir = 	$(exec_prefix)/lib/libecasound13-plugins

# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
plugin_includes = \
			audioio_af.h \
			audioio_alsa.h \
			audioio_alsa_named.h \
			audioio_arts.h \
			audioio_jack.h \
			audioio_jack_manager.h \
			audioio_sndfile.h


noinst_HEADERS = $(plugin_includes)


# ----------------------------------------------------------------------
# build targets and compiler options target defines
# ----------------------------------------------------------------------
#noinst_LTLIBRARIES = libecasound_plugins_debug.la
noinst_LTLIBRARIES = libecasound_plugins.la

plugin_cond_sources = $(af_src) \
                        $(alsa_src) \
			$(arts_src) \
			$(jack_src) \
			$(sndfile_src)



# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------
libecasound_plugins_la_SOURCES = audioio_dummy.cpp $(plugin_cond_sources)
EXTRA_libecasound_plugins_la_SOURCES = $(plugin_cond_sources)
libecasound_plugins_la_LIBADD = $(ECA_S_EXTRA_LIBS)
libecasound_plugins_la_LDFLAGS = -static

libecasound_plugins_debug_la_SOURCES = $(libecasound_plugins_la_SOURCES)
EXTRA_libecasound_plugins_debug_la_SOURCES = $(EXTRA_libecasound_plugins_la_SOURCES)
libecasound_plugins_debug_la_LIBADD = $(libecasound_plugins_la_LIBADD)
libecasound_plugins_debug_la_LDFLAGS = $(libecasound_plugins_la_LDFLAGS)
subdir = libecasound/plugins
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libecasound_plugins_la_DEPENDENCIES =
am__libecasound_plugins_la_SOURCES_DIST = audioio_dummy.cpp \
	audioio_af.cpp audioio_alsa.cpp audioio_alsa_named.cpp \
	audioio_arts.cpp audioio_jack.cpp audioio_jack_manager.cpp \
	audioio_sndfile.cpp
am__objects_1 = audioio_af.lo
am__objects_2 = audioio_alsa.lo \
	audioio_alsa_named.lo
am__objects_3 = audioio_arts.lo
am__objects_4 = audioio_jack.lo \
	audioio_jack_manager.lo
am__objects_5 = audioio_sndfile.lo
am__objects_6 = $(am__objects_1) $(am__objects_2) $(am__objects_3) \
	$(am__objects_4) $(am__objects_5)
am_libecasound_plugins_la_OBJECTS = audioio_dummy.lo $(am__objects_6)
am__EXTRA_libecasound_plugins_la_SOURCES_DIST = audioio_af.cpp \
	audioio_alsa.cpp audioio_alsa_named.cpp audioio_arts.cpp \
	audioio_jack.cpp audioio_jack_manager.cpp audioio_sndfile.cpp
libecasound_plugins_la_OBJECTS = $(am_libecasound_plugins_la_OBJECTS)
libecasound_plugins_debug_la_DEPENDENCIES =
am__libecasound_plugins_debug_la_SOURCES_DIST = audioio_dummy.cpp \
	audioio_af.cpp audioio_alsa.cpp audioio_alsa_named.cpp \
	audioio_arts.cpp audioio_jack.cpp audioio_jack_manager.cpp \
	audioio_sndfile.cpp
am__objects_7 = audioio_dummy.lo $(am__objects_6)
am_libecasound_plugins_debug_la_OBJECTS = $(am__objects_7)
am__EXTRA_libecasound_plugins_debug_la_SOURCES_DIST = audioio_af.cpp \
	audioio_alsa.cpp audioio_alsa_named.cpp audioio_arts.cpp \
	audioio_jack.cpp audioio_jack_manager.cpp audioio_sndfile.cpp
libecasound_plugins_debug_la_OBJECTS = \
	$(am_libecasound_plugins_debug_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/audioio_af.Plo \
	./$(DEPDIR)/audioio_alsa.Plo \
	./$(DEPDIR)/audioio_alsa_named.Plo \
	./$(DEPDIR)/audioio_arts.Plo \
	./$(DEPDIR)/audioio_dummy.Plo \
	./$(DEPDIR)/audioio_jack.Plo \
	./$(DEPDIR)/audioio_jack_manager.Plo \
	./$(DEPDIR)/audioio_sndfile.Plo
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(am__libecasound_plugins_la_SOURCES_DIST) \
	$(am__EXTRA_libecasound_plugins_la_SOURCES_DIST) \
	$(am__libecasound_plugins_debug_la_SOURCES_DIST) \
	$(am__EXTRA_libecasound_plugins_debug_la_SOURCES_DIST)
HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.in ChangeLog \
	Makefile.am
SOURCES = $(libecasound_plugins_la_SOURCES) $(EXTRA_libecasound_plugins_la_SOURCES) $(libecasound_plugins_debug_la_SOURCES) $(EXTRA_libecasound_plugins_debug_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  libecasound/plugins/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
