=== debian/changelog ===
ecasound2.2 (2.3.5-7ubuntu1) hoary; urgency=low

  * python-2.4 dependency added

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Mon, 17 Jan 2005 18:22:11 +0100

ecasound2.2 (2.3.5-6) unstable; urgency=low

  * libecasound2.2-dev should depend on libsndfile1-dev.
    (closes: #282226, #282229)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Nov 2004 08:53:13 +0900

ecasound2.2 (2.3.5-5) unstable; urgency=low

  * ecasound-el depend on ecasound instead of ecasound2.2
  * 01_ecasoundrc-location-fix: fix patch so that effects_presets can be used.
    default 'ecasoundrc' was not modified correctly. 

 -- Junichi Uekawa <dancer@debian.org>  Wed, 17 Nov 2004 08:28:31 +0900

ecasound2.2 (2.3.5-3) unstable; urgency=low

  *  Build-dep on ruby

 -- Junichi Uekawa <dancer@debian.org>  Mon, 15 Nov 2004 07:14:00 +0900

ecasound2.2 (2.3.5-2) unstable; urgency=low

  * Fix upgrade path from ecasound->ecasound2.2; 
    replace libecasound7c102, libecasound7 packages since documentation has 
    moved from these packages to ecasound package
  * upload to unstable
  - newer libtool is used than libtool1.4 (closes: #279389)
  - gcc-3.4 bug is not there anymore (closes: #266709)
  - largefile support is enabled (closes: #272551)
  - ICE on gcc apparently doesn't happen with ecasound2.2 (closes: #249804)
  - menu command is interactive (closes: #235560).
  - new upstream version is now uploaded to unstable (closes: #247746)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Nov 2004 23:04:32 +0900

ecasound2.2 (2.3.5-1) experimental; urgency=low

  * New upstream release
  * debian/copyright: new upstream website/mail address.
  * Fixed 01_ecasoundrc-location-fix patch so that I can send it upstream.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Nov 2004 11:37:22 +0900

ecasound2.2 (2.3.4-1) experimental; urgency=low

  * New upstream release
  * checked against Debian policy 3.6.1.
  * patch updates
    01_ecasoundrc-location-fix: keep
    07_configure_in_maintainer_mode: keep
  * libsndfile support added, we have new enough version now.
  * Bug fix: "ecasound2.2: menu command needs to call ecasound
    interactively", thanks to tim hall (Closes: #235560).
  * Add libecasound-ruby1.8 package
  - Add build-dep on ruby1.8
  - force-install to usr/lib/ruby/1.8 instead of /usr/local/

 -- Junichi Uekawa <dancer@debian.org>  Wed,  3 Nov 2004 13:12:56 +0900

ecasound2.2 (2.3.2-1) UNRELEASED; urgency=low

  * New upstream release
  * patch updates
    01_ecasoundrc-location-fix: keep
    07_configure_in_maintainer_mode: keep
  * ecasound package
  * README.Debian: update notes on ecasound2.2
  * disable libsndfile support for now, since libsndfile 1.0.4 is not supported, requires 1.0.5
  * rebuild against jack 0.80.0

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Oct 2004 14:16:09 +0900

ecasound2.2 (2.3.1-2) unstable; urgency=low

  * Fix build failure of ecawave/ecamegapedal packages, backporting fix for 2.3.2
  some header files were missing
  - 08_fix_header_install.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Sat, 10 Jan 2004 11:10:00 +0900

ecasound2.2 (2.3.1-1) unstable; urgency=low

  * New upstream version
    - incorporates Debian patches, and minor fixes.
  * dpatch updates:
    01_ecasoundrc-location-fix: keep
    03_fix_unmatching_braces_in_ecasound_makefile_am: merged upstream
    04_ecasound_el_0.8.3: merged upstream
    05_audioio_jack_0.75_fix: merged upstream
    06_documentation_hevea: merged upstream
    07_configure_in_maintainer_mode: still applies, keep
  * debian/control: Build-Depends: add yodl

 -- Junichi Uekawa <dancer@debian.org>  Fri, 12 Dec 2003 05:48:51 +0900

ecasound2.2 (2.3.0-5) unstable; urgency=high

  * add build-Depends on python to work around /usr/bin/python not being
    available when after installing python2.3-dev; dependency of 
    python2.3-dev upon python is downgraded to recommends now.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 19 Nov 2003 22:29:27 +0900

ecasound2.2 (2.3.0-4) unstable; urgency=high

  * Fix build failure; do not include html.sty in documentation.
  * remove depcomp; old version seems to be incompatible with newer automake.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 18 Nov 2003 22:29:22 +0900

ecasound2.2 (2.3.0-3) unstable; urgency=HIGH

  * debian/control: Do not use latex2html, use hevea instead.
    (Closes: #221334).
    - 06_documentation_hevea.dpatch
  * AM_MAINTAINER_MODE added, to fix debian/rules clean interaction with files patching.
    - 07_configure_in_maintainer_mode.dpatch

 -- Junichi Uekawa <dancer@debian.org>  Tue, 18 Nov 2003 07:58:32 +0900

ecasound2.2 (2.3.0-2) experimental; urgency=low

  * backport fix for 0.75.0 compatibility from CVS.
  - 05_audioio_jack_0.75_fix.dpatch
  
 -- Junichi Uekawa <dancer@debian.org>  Sat,  4 Oct 2003 14:03:39 +0900

ecasound2.2 (2.3.0-1) experimental; urgency=low

  * New upstream release (closes: #208160)
  - ecasound2.2: Processing time (option -t) wrong with sample-rate != 44100 Hz
    From: Stephan Niemz  (closes: #195027)
  * update Build-conflicts for libkvutils and libecasound; for c102.
  * configure option "--enable-pyecasound=python" to ensure
    pure python implementation of pyecasound.
  * Run autoconf-automake-libtool in build.
  * Fix to get ecasound building:
  - ecasound/Makefile.am: "$(readline_library}" ->  "$(readline_library)"
    03_fix_unmatching_braces_in_ecasound_makefile_am
  - libtool tries to build shared libraries anyway: 
    02_makefile_am_hack.dpatch: an unsuccessful attempt to not to
    try to add libasound and libjack et al into static library.
    -- the resulting output is no different ?
    rather, tried --disable-shared.
  * Update ecasound.el 
    04_ecasound_el_0.8.3.dpatch
    ecasound2.2: Please update ecasound.el to 0.8.3
    From: Mario Lang  (closes: #208215)
  * Note: JACK support is temporarily broken; thus experimental

 -- Junichi Uekawa <dancer@debian.org>  Tue,  2 Sep 2003 06:05:39 +0900


